/*************************************************************************\
*   				Xcard 1.2				  *
*									  *
* Copyright 1991, Kenneth C. Nelson			 	          *
*									  *
* Rights       : I, Ken Nelson own Xcard.  You may compile, modify, and   *
*                use Xcard.  You may not sell Xcard or anything derived   *
*		 from Xcard in binary or source for more than reasonable  *
*                media costs.                                             *
*                                                                         *
*		 Xcard uses a dynamic object library	   	          *
*		 that I don't own.  See the subdirectory dynobj for  	  *
*		 restrictions on its use.				  *
*								          *
*                Please feel free to modify Xcard. See Todo for details.  *
*									  *
\*************************************************************************/


/*
 * search.h - provides external routines and defs for users of the
 *	      search popup dialog.
 *
 */

/*
 * Use this in callbacks to say if you want to search in the body
 * or in the header.
 */

/*
 * These should match the cards.h definition of next and prev.
 *
 */
 
#define FORWARD    NEXTCARD
#define BACKWARD   PREVCARD
 


#define IN_BODY    100
#define IN_HEADER  200


extern int doSearch();

extern void addSearchPopup();
extern void popupSearchForm();

extern char *searchText();

extern void  setSearchDirection();
extern int   searchWhere();

extern void  setWhereToSearch();
extern int   searchDirection();

extern void  CBdoSearch();
